## org.eclipse.emf.ecore.xmi
Class XMIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.ecore.xmi.XMIException

All Implemented Interfaces:
  java.io.Serializable, Resource.Diagnostic

Direct Known Subclasses:
  ClassNotFoundException, DanglingHREFException, FeatureNotFoundException, IllegalValueException, PackageNotFoundException, UnresolvedReferenceException

    public class XMIException

extends java.lang.Exception
implements Resource.Diagnostic

See Also:
  Serialized Form

Field Summary
`protected int` `column`
`protected int` `line`
`protected java.lang.String` `location`

Constructor Summary
`XMIException(java.lang.Exception exception)`
`XMIException(java.lang.Exception exception, java.lang.String location, int line, int column)`
`XMIException(java.lang.String message)`
`XMIException(java.lang.String message, java.lang.Exception exception)`
`XMIException(java.lang.String message, java.lang.Exception exception, java.lang.String location, int line, int column)`
`XMIException(java.lang.String message, java.lang.String location, int line, int column)`

Method Summary
`int` `getColumn()` Returns the column location of the issue within the source.
`int` `getLine()` Returns the line location of the issue within the source.
`java.lang.String` `getLocation()` Returns the source location of the issue.
`java.lang.String` `getMessage()` Returns a translated message describing the issue.

`java.lang.Exception`

`getWrappedException()`
Deprecated. in 2.2. Use `Throwable.getCause()` instead. Given that the constructors of this class take `Exception`s as arguments, it is save to do this cast

    (Exception)getCause()

.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### location

    protected java.lang.String location

### line

    protected int line

### column

    protected int column

Constructor Detail

### XMIException

    public XMIException(java.lang.String message)

### XMIException

    public XMIException(java.lang.Exception exception)

### XMIException

    public XMIException(java.lang.String message,
                        java.lang.Exception exception)

### XMIException

    public XMIException(java.lang.String message,
                        java.lang.String location,
                        int line,
                        int column)

### XMIException

    public XMIException(java.lang.String message,
                        java.lang.Exception exception,
                        java.lang.String location,
                        int line,
                        int column)

### XMIException

    public XMIException(java.lang.Exception exception,
                        java.lang.String location,
                        int line,
                        int column)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Description copied from interface: `Resource.Diagnostic`
  Returns a translated message describing the issue.

  Specified by:
    `getMessage` in interface `Resource.Diagnostic`
  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    a translated message.

### getLocation

    public java.lang.String getLocation()

  Description copied from interface: `Resource.Diagnostic`
  Returns the source location of the issue. This will typically be just the `URI` of the resource containing this diagnostic.

  Specified by:
    `getLocation` in interface `Resource.Diagnostic`
  Returns:
    the location of the issue, or `null` if it's unknown.

### getLine

    public int getLine()

  Description copied from interface: `Resource.Diagnostic`
  Returns the line location of the issue within the source. Line `1` is the first line.

  Specified by:
    `getLine` in interface `Resource.Diagnostic`
  Returns:
    the line location of the issue.

### getColumn

    public int getColumn()

  Description copied from interface: `Resource.Diagnostic`
  Returns the column location of the issue within the source. Column `1` is the first column.

  Specified by:
    `getColumn` in interface `Resource.Diagnostic`
  Returns:
    the column location of the issue.

### getWrappedException

    @Deprecated
    public java.lang.Exception getWrappedException()

  Deprecated. in 2.2. Use `Throwable.getCause()` instead. Given that the constructors of this class take `Exception`s as arguments, it is save to do this cast

      (Exception)getCause()

  .

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.